de.esprit.netsuite.client.abo

## Class ABOTableModel<C extends ClientContext,T extends AliveBusinessObject>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.esprit.common.gui.table.AbstractObjectTableModel<T>
    - - de.esprit.appsuite.gui.table.ApplicationTableModel<C,T>
      - - de.esprit.netsuite.client.gui.ClientTableModel<C,T>
        - - de.esprit.netsuite.client.abo.ABOTableModel<C,T>

- All Implemented Interfaces:
    ApplicationObject<C>, DataLoadEvent.Source, OrderChangeEvent.Source, Clearable, ClientObject<C>, java.io.Serializable, javax.swing.table.TableModel

      public class ABOTableModel<C extends ClientContext,T extends AliveBusinessObject>
      extends ClientTableModel<C,T>

  This TableModel contains currently accessed AliveBusinessObjects.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOTableModel(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addABO(T abo)`
    `void` | `addObject(int index, T obj)`
    `int` | `addObject(T obj)` Adds an object into the TableModel whereas the current Comparator defines where it is added.
    `void` | `clear()` Clears the content
    `AliveBusinessObject` | `findByPrimaryKey(PrimaryKey pk)`
    `AliveBusinessObject` | `getABO(int index)`
    `boolean` | `isNewABOAccepted(T abo)`
    `boolean` | `isNewABOAutoInserted()`
    `void` | `removeABO(T abo)`
    `T` | `removeObject(int index)`
    `int` | `removeObject(T obj)`
    `void` | `setObject(int index, T obj)` Places the given Object at the specified index into the TableModel.

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientTableModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.gui.table.ApplicationTableModel

      `getApplicationContext`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTableModel

      `addColumn, addColumn, addColumn, addColumn, addDataLoadListener, addObjects, addObjects, addOrderChangeListener, addRowData, addRowData, clearRowData, containsObject, dropRow, dropRow, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getAllObjects, getColumnCount, getColumnName, getComparator, getObject, getRowCount, getValueAt, getValueAt, indexOf, isEmpty, isNumb, isSortAscending, load, removeColumn, removeDataLoadListener, removeOrderChangeListener, removeRowData, replaceObject, setComparator, setNumb, setSortAscending, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOTableModel

          public ABOTableModel(C clientCtx)

  - ### Method Detail

    - #### getABO

          public AliveBusinessObject getABO(int index)

    - #### addABO

          public int addABO(T abo)

    - #### removeABO

          public void removeABO(T abo)

    - #### isNewABOAccepted

          public boolean isNewABOAccepted(T abo)

    - #### isNewABOAutoInserted

          public boolean isNewABOAutoInserted()

    - #### findByPrimaryKey

          public AliveBusinessObject findByPrimaryKey(PrimaryKey pk)

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`
      Overrides:
        `clear` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

    - #### removeObject

          public int removeObject(T obj)

      Overrides:
        `removeObject` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

    - #### removeObject

          public T removeObject(int index)

      Overrides:
        `removeObject` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

    - #### setObject

          public void setObject(int index,
                       T obj)

      Description copied from class: `AbstractObjectTableModel`
      Places the given Object at the specified index into the TableModel.
      Overrides:
        `setObject` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

    - #### addObject

          public int addObject(T obj)

      Description copied from class: `AbstractObjectTableModel`
      Adds an object into the TableModel whereas the current Comparator defines where it is added. If no comparator is set, then the rows are just added unsorted.
      Overrides:
        `addObject` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

    - #### addObject

          public void addObject(int index,
                       T obj)

      Overrides:
        `addObject` in class `AbstractObjectTableModel<T extends AliveBusinessObject>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.